## org.jboss.ejb.plugins
Class LRUStatefulContextCachePolicy.RemoverTask

    java.lang.Object
      |
      +--java.util.TimerTask
            |
            +--org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy.OveragerTask
                  |
                  +--org.jboss.ejb.plugins.LRUStatefulContextCachePolicy.RemoverTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  LRUStatefulContextCachePolicy

protected class LRUStatefulContextCachePolicy.RemoverTask
extends LRUEnterpriseContextCachePolicy.OveragerTask

This TimerTask removes beans that have not been called for a while.

Constructor Summary
`protected` `LRUStatefulContextCachePolicy.RemoverTask(long period)`

Method Summary
`protected java.lang.String` `getJMSTaskType()`
`protected long` `getMaxAge()`
`protected java.lang.String` `getTaskLogMessage()`
`protected void` `kickOut(LRUCachePolicy.LRUCacheEntry entry)`
`void` `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUStatefulContextCachePolicy.RemoverTask

    protected LRUStatefulContextCachePolicy.RemoverTask(long period)

Method Detail

### getTaskLogMessage

    protected java.lang.String getTaskLogMessage()

  Overrides:
    `getTaskLogMessage` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### getJMSTaskType

    protected java.lang.String getJMSTaskType()

  Overrides:
    `getJMSTaskType` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### kickOut

    protected void kickOut(LRUCachePolicy.LRUCacheEntry entry)

  Overrides:
    `kickOut` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### getMaxAge

    protected long getMaxAge()

  Overrides:
    `getMaxAge` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

### run

    public void run()

  Overrides:
    `run` in class `LRUEnterpriseContextCachePolicy.OveragerTask`

Copyright © 2000 The JBoss Organization. All Rights Reserved.